Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj	(revision 820)
@@ -160,15 +160,8 @@
       <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
     </ClCompile>
-    <ClCompile Include="src\Lexical\Class.cpp" />
     <ClCompile Include="src\Lexical\Const.cpp" />
     <ClCompile Include="src\Lexical\DataTable.cpp" />
     <ClCompile Include="src\Lexical\Delegate.cpp" />
-    <ClCompile Include="src\Lexical\Interface.cpp" />
-    <ClCompile Include="src\Lexical\Member.cpp" />
     <ClCompile Include="src\Lexical\Meta.cpp" />
-    <ClCompile Include="src\Lexical\Method.cpp" />
-    <ClCompile Include="src\Lexical\Namespace.cpp" />
-    <ClCompile Include="src\Lexical\NamespaceSupporter.cpp" />
-    <ClCompile Include="src\Lexical\NativeCode.cpp" />
     <ClCompile Include="src\Lexical\ObjectModule.cpp">
       <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
@@ -183,10 +176,5 @@
       </PrecompiledHeader>
     </ClCompile>
-    <ClCompile Include="src\Lexical\Parameter.cpp" />
-    <ClCompile Include="src\Lexical\Procedure.cpp" />
     <ClCompile Include="src\Lexical\Source.cpp" />
-    <ClCompile Include="src\Lexical\Symbol.cpp" />
-    <ClCompile Include="src\Lexical\Template.cpp" />
-    <ClCompile Include="src\Lexical\Type.cpp" />
     <ClCompile Include="src\Lexical\TypeDef.cpp" />
     <ClCompile Include="src\Lexical\Variable.cpp" />
Index: branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/ab_common.vcxproj.filters	(revision 820)
@@ -37,7 +37,4 @@
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="src\Lexical\Class.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
     <ClCompile Include="src\Lexical\Const.cpp">
       <Filter>Source Files\Lexical</Filter>
@@ -49,23 +46,5 @@
       <Filter>Source Files\Lexical</Filter>
     </ClCompile>
-    <ClCompile Include="src\Lexical\Interface.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Member.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
     <ClCompile Include="src\Lexical\Meta.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Method.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Namespace.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\NamespaceSupporter.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\NativeCode.cpp">
       <Filter>Source Files\Lexical</Filter>
     </ClCompile>
@@ -73,20 +52,5 @@
       <Filter>Source Files\Lexical</Filter>
     </ClCompile>
-    <ClCompile Include="src\Lexical\Parameter.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Procedure.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
     <ClCompile Include="src\Lexical\Source.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Symbol.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Template.cpp">
-      <Filter>Source Files\Lexical</Filter>
-    </ClCompile>
-    <ClCompile Include="src\Lexical\Type.cpp">
       <Filter>Source Files\Lexical</Filter>
     </ClCompile>
Index: branches/egtra/ab5.0/abdev/ab_common/include/Lexical/Type.h
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/include/Lexical/Type.h	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/include/Lexical/Type.h	(revision 820)
@@ -1,2 +1,3 @@
+#include <boost/foreach.hpp>
 #pragma once
 
@@ -101,5 +102,5 @@
 	}
 
-	inline int GetBasicType() const
+	int GetBasicType() const
 	{
 		return basicType;
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Class.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Class.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Class.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 #include <algorithm>
 #include <boost/checked_delete.hpp>
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Interface.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Interface.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Interface.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 Interface::Interface( const CClass *pInterfaceClass, const Types &actualTypeParameters )
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Member.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Member.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Member.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Meta.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Meta.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Meta.cpp	(revision 820)
@@ -37,5 +37,5 @@
 {
 	// 名前空間
-	BOOST_FOREACH( NamespaceScopes &namespaceScopes, meta.namespaceScopesCollection )
+	foreach (NamespaceScopes const &namespaceScopes, meta.namespaceScopesCollection)
 	{
 		if( !this->namespaceScopesCollection.IsExist( namespaceScopes ) )
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Method.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Method.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Method.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 #include <stdexcept>
 
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 #include <algorithm>
 
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 using namespace ActiveBasic::Common::Lexical;
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NativeCode.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NativeCode.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/NativeCode.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 #define BREAK_EIP(checkEip)  (obp+0x00401000>=checkEip)
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Parameter.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Parameter.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Parameter.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 Parameter::Parameter( const std::string &varName, const Type &type, bool isRef, const std::string initValue )
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Procedure.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Procedure.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Procedure.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Source.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Source.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Source.cpp	(revision 820)
@@ -945,28 +945,2 @@
 	return true;
 }
-
-int SourceCodePosition::GetRelationalObjectModuleIndex() const
-{
-	if( this->IsNothing() )
-	{
-		_ASSERTE( false );
-		throw;
-	}
-
-	return relationalObjectModuleIndex;
-}
-bool SourceCodePosition::IsNothing() const
-{
-	if( this->relationalObjectModuleIndex == -1 && this->pos == -1 )
-	{
-		return true;
-	}
-
-	if( this->relationalObjectModuleIndex == -1 || this->pos == -1 )
-	{
-		_ASSERTE( false );
-		throw;
-	}
-
-	return false;
-}
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/SourceCodePosition.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/SourceCodePosition.cpp	(revision 820)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/SourceCodePosition.cpp	(revision 820)
@@ -0,0 +1,29 @@
+#include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
+
+int SourceCodePosition::GetRelationalObjectModuleIndex() const
+{
+	if( this->IsNothing() )
+	{
+		_ASSERTE( false );
+		throw std::runtime_error("SourceCodePosition::GetRelationalObjectModuleIndex");
+	}
+
+	return relationalObjectModuleIndex;
+}
+bool SourceCodePosition::IsNothing() const
+{
+	if( this->relationalObjectModuleIndex == -1 && this->pos == -1 )
+	{
+		return true;
+	}
+
+	if( this->relationalObjectModuleIndex == -1 || this->pos == -1 )
+	{
+		_ASSERTE( false );
+		throw std::runtime_error("SourceCodePosition::IsNothing");
+	}
+
+	return false;
+}
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 using namespace ActiveBasic::Common::Lexical;
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Template.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Template.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Template.cpp	(revision 820)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
 
 ExpandedTemplateClass::~ExpandedTemplateClass()
Index: branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Type.cpp
===================================================================
--- branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Type.cpp	(revision 816)
+++ branches/egtra/ab5.0/abdev/ab_common/src/Lexical/Type.cpp	(revision 820)
@@ -1,3 +1,6 @@
 #include "stdafx.h"
+#include <jenga/include/jenga.h>
+#include <abdev/ab_common/include/ab_common.h>
+#include "Lexical/Type.h"
 
 const int Type::basicTypeList[] = {