Index: trunk/ab5.0/abdev/ab.sln
===================================================================
--- trunk/ab5.0/abdev/ab_x86.sln	(revision 485)
+++ trunk/ab5.0/abdev/ab.sln	(revision 825)
@@ -1,5 +1,5 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual C++ Express 2005
+# Visual Studio 2005
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "jenga", "..\jenga\projects\jenga\jenga.vcproj", "{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}"
 EndProject
@@ -8,46 +8,64 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "abdev", "abdev\abdev.vcproj", "{DC1B787E-510F-4F7D-8F9A-182600904D83}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler_x86", "compiler_x86\compiler_x86.vcproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compiler", "compiler_x86\compiler.vcproj", "{11F0E9AB-EAEC-4616-A9DD-838073342CBB}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "res", "res\res.vcproj", "{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "icon_res", "icon_res\icon_res.vcproj", "{C487D66E-BED6-4046-9120-8F6BC9F1B300}"
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
+		Debug|x64 = Debug|x64
 		Release|Win32 = Release|Win32
-		TheText_Debug|Win32 = TheText_Debug|Win32
-		TheText_Release|Win32 = TheText_Release|Win32
+		Release|x64 = Release|x64
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.ActiveCfg = Debug(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.Build.0 = Debug(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.ActiveCfg = Release(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.Build.0 = Release(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Debug|Win32.ActiveCfg = Debug(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Debug|Win32.Build.0 = Debug(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Release|Win32.ActiveCfg = Release(x86)|Win32
-		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.TheText_Release|Win32.Build.0 = Release(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.ActiveCfg = Debug(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.Build.0 = Debug(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.ActiveCfg = Release(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.Build.0 = Release(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.TheText_Debug|Win32.ActiveCfg = Debug(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.TheText_Debug|Win32.Build.0 = Debug(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.TheText_Release|Win32.ActiveCfg = Release(x86)|Win32
-		{87835C33-64C9-4BA5-9B39-608BA5394387}.TheText_Release|Win32.Build.0 = Release(x86)|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.ActiveCfg = Debug|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|Win32.Build.0 = Debug|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|x64.ActiveCfg = Debug|x64
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Debug|x64.Build.0 = Debug|x64
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.ActiveCfg = Release|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|Win32.Build.0 = Release|Win32
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.ActiveCfg = Release|x64
+		{F01805B6-65B4-4708-88F4-A5E07DEA9FBD}.Release|x64.Build.0 = Release|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.ActiveCfg = Debug|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|Win32.Build.0 = Debug|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.ActiveCfg = Debug|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Debug|x64.Build.0 = Debug|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.ActiveCfg = Release|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|Win32.Build.0 = Release|Win32
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.ActiveCfg = Release|x64
+		{87835C33-64C9-4BA5-9B39-608BA5394387}.Release|x64.Build.0 = Release|x64
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.ActiveCfg = Debug|Win32
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|Win32.Build.0 = Debug|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Debug|x64.ActiveCfg = Debug|x64
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.ActiveCfg = Release|Win32
 		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|Win32.Build.0 = Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Debug|Win32.ActiveCfg = TheText_Debug|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Debug|Win32.Build.0 = TheText_Debug|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Release|Win32.ActiveCfg = TheText_Release|Win32
-		{DC1B787E-510F-4F7D-8F9A-182600904D83}.TheText_Release|Win32.Build.0 = TheText_Release|Win32
+		{DC1B787E-510F-4F7D-8F9A-182600904D83}.Release|x64.ActiveCfg = Release|x64
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.ActiveCfg = Debug|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|Win32.Build.0 = Debug|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.ActiveCfg = Debug|x64
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Debug|x64.Build.0 = Debug|x64
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.ActiveCfg = Release|Win32
 		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|Win32.Build.0 = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Debug|Win32.ActiveCfg = Debug|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Debug|Win32.Build.0 = Debug|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Release|Win32.ActiveCfg = Release|Win32
-		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.TheText_Release|Win32.Build.0 = Release|Win32
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.ActiveCfg = Release|x64
+		{11F0E9AB-EAEC-4616-A9DD-838073342CBB}.Release|x64.Build.0 = Release|x64
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|Win32.ActiveCfg = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|Win32.Build.0 = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|x64.ActiveCfg = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Debug|x64.Build.0 = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|Win32.ActiveCfg = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|Win32.Build.0 = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|x64.ActiveCfg = Release|Win32
+		{BA6AC6FD-A1A0-4C01-B73C-863FE80D6E9B}.Release|x64.Build.0 = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|Win32.ActiveCfg = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|Win32.Build.0 = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|x64.ActiveCfg = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Debug|x64.Build.0 = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|Win32.ActiveCfg = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|Win32.Build.0 = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|x64.ActiveCfg = Release|Win32
+		{C487D66E-BED6-4046-9120-8F6BC9F1B300}.Release|x64.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution