Index: trunk/ab5.0/abdev/ab_common/include/BasicFixed.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/BasicFixed.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/BasicFixed.h	(revision 829)
@@ -66,5 +66,5 @@
 
 //////////////////////////////////////////////////////////////////////
-// エスケープシーケンス用のバイトコードは0xA0～0xCFの範囲も利用できる
+// エスケープシーケンス用のバイトコードは0xA0〜0xCFの範囲も利用できる
 //////////////////////////////////////////////////////////////////////
 
Index: trunk/ab5.0/abdev/ab_common/include/Environment.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Environment.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Environment.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Class.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Class.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Class.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Const.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Const.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Const.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/DataTable.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/DataTable.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/DataTable.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Delegate.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Delegate.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Delegate.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Interface.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Interface.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Interface.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Member.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Member.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Member.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Meta.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Meta.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Meta.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Method.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Method.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Method.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Namespace.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Namespace.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Namespace.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/NamespaceSupporter.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/NamespaceSupporter.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/NamespaceSupporter.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/NativeCode.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/NativeCode.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/NativeCode.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/ObjectModule.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/ObjectModule.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/ObjectModule.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Parameter.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Parameter.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Parameter.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Procedure.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Procedure.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Procedure.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Prototype.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Prototype.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Prototype.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/RelationalObjectModuleItem.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/RelationalObjectModuleItem.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/RelationalObjectModuleItem.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Resolver.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Resolver.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Resolver.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Source.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Source.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Source.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Symbol.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Symbol.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Symbol.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Template.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Template.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Template.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Type.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Type.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Type.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/TypeDef.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/TypeDef.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/TypeDef.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/TypeMisc.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/TypeMisc.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/TypeMisc.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Lexical/Variable.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Lexical/Variable.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Lexical/Variable.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/OSVersion.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/OSVersion.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/OSVersion.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/Path.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/Path.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/Path.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/ProcessAndModule.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/ProcessAndModule.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/ProcessAndModule.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/ResourceManager/ResourceManager.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/ResourceManager/ResourceManager.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/ResourceManager/ResourceManager.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/ab_common.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/ab_common.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/ab_common.h	(revision 829)
Index: trunk/ab5.0/abdev/ab_common/include/libs.h
===================================================================
--- trunk/ab5.0/abdev/ab_common/include/libs.h	(revision 828)
+++ trunk/ab5.0/abdev/ab_common/include/libs.h	(revision 829)